### A free/open-source library for quantitative finance

Classes
ql/payoff.hpp File Reference

Option payoff classes. More...

`#include <ql/types.hpp>`
`#include <ql/patterns/visitor.hpp>`
`#include <ql/errors.hpp>`
`#include <functional>`
Include dependency graph for payoff.hpp:

## Classes

class | Payoff
| Abstract base class for option payoffs. More...

## Detailed Description

Option payoff classes.